.acnav {
    width: 100%;
}

.acnav a {
    color: #000;
    font-size: 14px;
}

.acnav a:hover {
    text-decoration: none;
}

.acnav__list {
    padding: 0;
    margin: 0;
    list-style: none;
}

.acnav__list--level1 {
    border: none;
}

.has-children>.acnav__label::after {
    content: "";
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    margin-right: 0;
    transition: transform 0.3s;
}

.has-children.is-open>.acnav__label::after {
    transform: rotate(405deg);
}

.acnav__link,
.acnav__label {
    font-size: 1rem;
    padding: 1rem;
    margin: 0;
    cursor: pointer;
    color: #333;
    background: #fff;
    box-shadow: inset 0 -1px #d9e5ff;
    transition: color 0.25s ease-in, background-color 0.25s ease-in;
}

.acnav__link {
    display: block;
}

.acnav__label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 14px;
}

.acnav__list li.has-children.is-open .acnav__label {
    background-color: #c8e1ff;
}

.acnav__link:focus,
.acnav__link:hover,
.acnav__label:focus,
.acnav__label:hover {
    color: #000000;
    background: #c8e1ff;
}

.has-children:last-child .acnav__label {
    box-shadow: none;
}

.acnav__link--level2,
.acnav__label--level2 {
    padding-left: 1.5em;
    background: #ebebeb;
    color: #333;
}

.acnav__link--level2:focus,
.acnav__link--level2:hover,
.acnav__label--level2:focus,
.acnav__label--level2:hover {
    background: #fff;
    color: #333;
}

.acnav__link--level3,
.acnav__label--level3 {
    padding-left: 1.5em;
    background: #fff;
    color: #333;
}

.acnav__link--level3:focus,
.acnav__link--level3:hover,
.acnav__label--level3:focus,
.acnav__label--level3:hover {
    background: #e7e7e7;
}

.acnav__link--level4,
.acnav__label--level4 {
    padding-left: 7em;
    background: #ebebeb;
}

.acnav__link--level4:focus,
.acnav__link--level4:hover,
.acnav__label--level4:focus,
.acnav__label--level4:hover {
    background: #ebebeb;
}

.acnav__list--level2,
.acnav__list--level3,
.acnav__list--level4 {
    display: none;
}

.is-open>.acnav__list--level2,
.is-open>.acnav__list--level3,
.is-open>.acnav__list--level4 {
    display: block;
}